Conversations

Photo of kcnashjr
HELP with Update / Install
You cannot install Trend Micro Antivirus on a version of Mac OS X older than El Capitan 10.11. The installer will now close.
  • 1 me too
  • 3 replies
  • Question
  • In Progress